%define major 4
%define libname %mklibname fm %{major}
%define devname %mklibname fm -d
%define devel_rel 1.0

Summary:	GIO-based library for file manager-like programs
Name:		libfm
Version:	1.2.0
Release:	3
License:	GPLv2+
Group:		File tools
Url:		http://pcmanfm.sourceforge.net/
Source0:	http://dfn.dl.sourceforge.net/sourceforge/pcmanfm/%{name}-%{version}.tar.xz
Patch0:		libfm-0.1.5-set-cutomization.patch
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	vala
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libmenu-cache)
Conflicts:	lxshortcut < 1.2.0
Provides:	lxshortcut = %{EVRD}

%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or 
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote 
filesystems supported by gvfs.

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/libfm/libfm.conf
%{_bindir}/libfm-pref-apps
%{_bindir}/lxshortcut
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ui
%dir %{_datadir}/%{name}/images
%{_datadir}/applications/lxshortcut.desktop
%{_datadir}/%{name}/archivers.list
%{_datadir}/%{name}/terminals.list
%{_datadir}/%{name}/ui/*
%{_datadir}/applications/libfm-pref-apps.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/images/*.png
%{_mandir}/man1/libfm-pref-apps.1.*
%{_mandir}/man1/lxshortcut.1.*
%{_libdir}/%{name}/modules/*.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
GIO-based library for file manager-like programs.

%files -n %{libname}
%{_libdir}/libfm-gtk.so.%{major}*
%{_libdir}/libfm.so.%{major}*
%{_libdir}/libfm-extra.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Developement files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains header files needed when building applications based on
%{name}.

%files -n %{devname}
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}-%{devel_rel}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}-%{devel_rel}/*.h
%{_libdir}/libfm-gtk.so
%{_libdir}/libfm.so
%{_libdir}/libfm-gtk.a
%{_libdir}/libfm.a
%{_libdir}/libfm-extra.so
%{_libdir}/libfm-extra.a
%{_libdir}/pkgconfig/libfm-gtk.pc
%{_libdir}/pkgconfig/libfm-gtk3.pc
%{_libdir}/pkgconfig/libfm.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
sed -i "s:-Werror::" configure.ac || die
autoreconf -fi
%define Werror_cflags %nil
%configure2_5x \
	--enable-udisks \
	--with-gtk=2
# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

#some hack for avoid upgrade error
#copy all in libfm-1.0 in includedir to libfm instead symlink, rather early it is true
rm -f %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -f %{buildroot}%{_includedir}/%{name}-%{devel_rel}/* %{buildroot}%{_includedir}/%{name}/

%find_lang %{name}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.2.0-3
+ Revision: d3a8725
- MassBuild#440: Increase release tag

* Wed May 14 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.0-2
+ Revision: 83b06e1
- Spec cleanup

* Thu Mar 20 2014 akdengi <kazancas@mandriva.ru> 1.2.0-1
+ Revision: 12d88ea
- SILENT try avoid ABF build error

* Thu Mar 20 2014 akdengi <kazancas@mandriva.ru> 1.2.0-1
+ Revision: db9b24e
- fix

* Thu Mar 20 2014 akdengi <kazancas@mandriva.ru> 1.2.0-1
+ Revision: f18061e
- SILENT fix spec error

* Thu Mar 20 2014 akdengi <kazancas@mandriva.ru> 1.2.0-1
+ Revision: 795e7be
- Add pkgconfig(libexif) to BR

* Thu Mar 20 2014 akdengi <kazancas@mandriva.ru> 1.2.0-1
+ Revision: 935d1fe
- update to 1.2.0

* Tue Nov 05 2013 akdengi <kazancas@mandriva.ru> 1.1.2.2-1
+ Revision: f13bcc7
- update to 1.1.2.2

* Tue Nov 05 2013 akdengi <kazancas@mandriva.ru> 1.1.2-1
+ Revision: 5247011
- update to 1.1.2

* Tue Nov 05 2013 akdengi <kazancas@mandriva.ru> 1.1.2-1
+ Revision: cefec8b
- Update to 1.1.2

* Mon Jul 22 2013 akdengi <kazancas@mandriva.ru> 1.1.1-5
+ Revision: 8f5e6df
- drop p100

* Mon Jul 22 2013 akdengi <kazancas@mandriva.ru> 1.1.1-5
+ Revision: a4d8338
- libfm 1.1.1

* Wed Jan 16 2013 akdengi <kazancas@mandriva.ru> 1.1.0-5
+ Revision: e6d2f3d
- revert to gtk2 build

* Wed Jan 16 2013 akdengi <kazancas@mandriva.ru> 1.1.0-4
+ Revision: e1ae33a
- revert to gtk2 build

* Wed Dec 26 2012 Alexander Khryukin <alexander@mezon.ru> 1.1.0-3
+ Revision: b564551
- repoclosure fix

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-2
+ Revision: 0244ecf
- fix error with devel package

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-2
+ Revision: f966192
- obsoletes libfm < 1.1.0

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
+ Revision: b832338
- pkgconfig

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
+ Revision: 67fd136
- fix include dir

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
+ Revision: 4a0be17
- fix include

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
+ Revision: 9668267
- fix include dir

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
+ Revision: 0ad029b
- fix include dir

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
+ Revision: 289ce7a
- s/gtk/gtk3/

* Thu Dec 13 2012 Alexander Kazancev <kazancas@gmail.com> 1.1.0-1
+ Revision: 5fd0eae
- Drop gtk-doc

* Thu Dec 13 2012 akdengi <kazancas@mandriva.ru> 1.1.0-1
+ Revision: 0972e81
- LOG 1.1.0

* Thu Sep 27 2012 Alexander Kazancev <kazancas@gmail.com> 1.0.1-1
+ Revision: 868bfed
- Updated libfm.spec

* Thu Sep 27 2012 Alexander Kazancev <kazancas@gmail.com> 1.0.1-1
+ Revision: cc11e34
- Updated libfm.spec

* Thu Sep 27 2012 akdengi <kazancas@mandriva.ru> 
+ Revision: 9265695
- fix

* Thu Sep 27 2012 akdengi <kazancas@mandriva.ru> 1.0.1-1
+ Revision: 2ed6025
- LOG -update to 1.0.1. Add automake patch

* Mon Sep 24 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.1-1
+ Revision: 831c638
- version update 1.0.1

* Thu Sep 06 2012 Alexander Kazancev <kazancas@mandriva.ru> 0.1.17-2
+ Revision: 399afde
- Updated libfm.spec

* Thu May 31 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.1.17-1
+ Revision: 6679c4d
- Automatic import for version 0.1.17

* Tue May 29 2012 akdengi <kazancas@mandriva.ru> 0.1.17-1
+ Revision: 7a8c4d2
- delete old source

* Thu Apr 05 2012 akdengi <kazancas@mandriva.ru> 0.1.17-1
+ Revision: 10864e7
- update to 0.1.17

* Wed Feb 01 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.1.16.git20111108-1
+ Revision: ca0614d
- Automatic import for version 0.1.16.git20111108


